<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.train.mapper.TMTrainRecordMapper">

    <resultMap type="TMTrainRecord" id="TMTrainRecordResult">
        <result property="rnum"    column="rnum"    />
        <result property="coachnum"    column="coachnum"    />
        <result property="stunum"    column="stunum"    />
        <result property="uploadtype"    column="uploadtype"    />
        <result property="lessonid"    column="lessonid"    />
        <result property="recordtime"    column="recordtime"    />
        <result property="trainlesson"    column="trainlesson"    />
        <result property="recordstatus"    column="recordstatus"    />
        <result property="maxspeed"    column="maxspeed"    />
        <result property="miles"    column="miles"    />
        <result property="gpsid"    column="gpsid"    />
        <result property="crdate"    column="crdate"    />
        <result property="isCount"    column="is_count"    />
        <result property="auditStatus"    column="audit_status"    />
        <result property="auditReason"    column="audit_reason"    />
        <result property="auditType"    column="audit_type"    />
        <result property="stuname"    column="stuname"    />
        <result property="coachname"    column="coachname"    />
        <result property="inscode"    column="inscode"    />
        <result property="insname"    column="insname"    />
        <result property="stageId"    column="stage_id"    />
        <result property="traintime"    column="traintime"    />
        <result property="photo"    column="photo"    />
        <result property="lat"    column="lat"    />
        <result property="lng"    column="lng"    />
        <result property="engineRpm"    column="engine_rpm"    />
        <result property="gpsspeed"    column="gpsspeed"    />
        <result property="driverspeed"    column="driverspeed"    />
        <result property="gpsStatus"    column="gps_status"    />
        <result property="isPhotoSync"    column="is_photo_sync"    />
        <result property="isSyncDate"    column="is_sync_date"    />
        <result property="licnum"    column="licnum"    />
        <result property="auditDate"    column="audit_date"    />
        <result property="isAnalyze"    column="is_analyze"    />
        <result property="auditReasonId"    column="audit_reason_id"    />
        <result property="isAbnormal"    column="is_abnormal"    />
        <result property="carnum"    column="carnum"    />
        <result property="stuIdcard"    column="stu_idcard"    />
        <result property="coachIdcard"    column="coach_idcard"    />
        <result property="devnum"    column="devnum"    />
        <result property="abnormalSeq"    column="abnormal_seq"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

</mapper>
